Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi.event
Interface MethodEntryEvent

All Superinterfaces:
  Event, Locatable, LocatableEvent, Mirror

    public interface MethodEntryEvent

extends LocatableEvent

Notification of a method invocation in the target VM. This event occurs after entry into the invoked method and before any code has executed. Method entry events are generated for both native and non-native methods.

In some VMs method entry events can occur for a particular thread before its `ThreadStartEvent` occurs if methods are called as part of the thread's initialization.

Since:
  1.3
See Also:
  `EventQueue`

Method Summary
`Method` | `method()` Returns the method that was entered.

Methods inherited from interface com.sun.jdi.event.LocatableEvent
`thread`

Methods inherited from interface com.sun.jdi.event.Event
`request`

Methods inherited from interface com.sun.jdi.Mirror
`toString, virtualMachine`

Methods inherited from interface com.sun.jdi.Locatable
`location`

Method Detail

### method

    Method method()

  Returns the method that was entered.

  Returns:
    a `Method` which mirrors the method that was entered.

Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD